This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 987650 - Facility for using --novalid when packaging DocBook 5 content as RPM.
Facility for using --novalid when packaging DocBook 5 content as RPM.
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 15:50 EDT by Stephen Gordon
Modified: 2013-07-23 20:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 20:42:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-07-23 15:50:52 EDT
Description of problem:

Under Bug # 696397 the --novalid option was added to allow (among other things) skipping of the validation pass when dealing with DocBook 5 content while a number of other issues are sorted out.

This works well for local publication but is not an option when running "publican package" as the publican command line used is set in web-spec.xsl, which also doesn't seem to be something that can be over-ridden from a brand.


Version-Release number of selected component (if applicable):

publican 3.1.5

Additional info:

Request a facility for using --novalid to support DocBook 5 packaging in the short term either from the command line or via a brand.
Comment 2 Jeff Fearn 2013-07-23 20:42:22 EDT
Hi, we are currently scoping re-implementing DocBook5 support from scratch. We hope to get this started in the near future. Given this we are not going to be fixing bugs in the current implementation.

Note You need to log in before you can comment on or make changes to this bug.